com.creamtec.ajaxswing.rendering.html

## Class HTMLPageRenderer

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer
  - - com.creamtec.ajaxswing.rendering.html.HTMLPageRenderer

- All Implemented Interfaces:
    DocumentRenderer
  Direct Known Subclasses:
    AjaxPageRenderer

      public abstract class HTMLPageRenderer
      extends AbstractDocumentRenderer

- - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer

      `LIMIT_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLPageRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendHeader(HTMLPage page, java.util.List<java.awt.Window> windows)`
    `Document` | `createDocument()` Abstract Factory Method design pattern to create documents.
    `java.lang.String` | `getWindowTitle(java.awt.Frame window)`
    `void` | `initializeDocument(Document document)`
    `Document` | `renderDocument(ClientAgent agent, java.util.List<java.awt.Window> windows)` Top level method used to get a document representing a rendering of the window of the agent

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.AbstractDocumentRenderer

      `getComponentRenderer, getComponentRenderer, redirectoToStandardPage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLPageRenderer

          public HTMLPageRenderer()

  - ### Method Detail

    - #### appendHeader

          public void appendHeader(HTMLPage page,
                          java.util.List<java.awt.Window> windows)

    - #### createDocument

          public Document createDocument()
                                  throws java.lang.Exception

      Description copied from class: `AbstractDocumentRenderer`
      Abstract Factory Method design pattern to create documents.
      Specified by:
        `createDocument` in class `AbstractDocumentRenderer`
      Throws:
        `java.lang.Exception`

    - #### initializeDocument

          public void initializeDocument(Document document)

      Overrides:
        `initializeDocument` in class `AbstractDocumentRenderer`

    - #### renderDocument

          public Document renderDocument(ClientAgent agent,
                                java.util.List<java.awt.Window> windows)
                                  throws java.lang.Exception

      Description copied from interface: `DocumentRenderer`
      Top level method used to get a document representing a rendering of the window of the agent
      Specified by:
        `renderDocument` in interface `DocumentRenderer`
      Specified by:
        `renderDocument` in class `AbstractDocumentRenderer`
      Parameters:
        `agent` - an agent representing a client to AjaxSwing application
      Throws:
        `java.lang.Exception`

    - #### getWindowTitle

          public java.lang.String getWindowTitle(java.awt.Frame window)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.